Loading...
Searching...
No Matches
PiecewiseLinearTwoPhaseMaterialParams.hpp File Reference

Specification of the material parameters for a two-phase material law which uses a table and piecewise constant interpolation. More...

`#include <algorithm>`
`#include <cassert>`
`#include <vector>`
`#include <stdexcept>`
`#include <type_traits>`
`#include <opm/common/ErrorMacros.hpp>`
`#include <opm/material/common/EnsureFinalized.hpp>`
`#include <opm/common/utility/gpuDecorators.hpp>`

Go to the source code of this file.

## Classes

class | Opm::PiecewiseLinearTwoPhaseMaterialParams< TraitsT, VectorT >
| Specification of the material parameters for a two-phase material law which uses a table and piecewise constant interpolation. More...

## Namespaces

namespace | Opm
| This class implements a small container which holds the transmissibility mulitpliers for all the faces in the grid.

## Functions

template<class ViewType, class TraitsT, class ContainerType>
PiecewiseLinearTwoPhaseMaterialParams< TraitsT, ViewType > | Opm::gpuistl::make_view (PiecewiseLinearTwoPhaseMaterialParams< TraitsT, ContainerType > &params)
| this function is intented to make a GPU friendly view of the PiecewiseLinearTwoPhaseMaterialParams
template<class GPUContainerType, class TraitsT>
PiecewiseLinearTwoPhaseMaterialParams< TraitsT, GPUContainerType > | Opm::gpuistl::copy_to_gpu (const PiecewiseLinearTwoPhaseMaterialParams< TraitsT > &params)
| Move a PiecewiseLinearTwoPhaseMaterialParams-object to the GPU.

## Detailed Description

Specification of the material parameters for a two-phase material law which uses a table and piecewise constant interpolation.

## Function Documentation

## copy_to_gpu()

template<class GPUContainerType, class TraitsT>

PiecewiseLinearTwoPhaseMaterialParams< TraitsT, GPUContainerType > Opm::gpuistl::copy_to_gpu | ( | const PiecewiseLinearTwoPhaseMaterialParams< TraitsT > & | params | ) |

Move a PiecewiseLinearTwoPhaseMaterialParams-object to the GPU.

Template Parameters

  TraitsT | the same traits as in PiecewiseLinearTwoPhaseMaterialParams
  ViewType | typically gpuView<const scalarType>
  GPUContainerType | typically const gpuBuffer<scalarType>

Parameters

  params | the parameters object living on the CPU

Returns
  the GPU PiecewiseLinearTwoPhaseMaterialParams object

## make_view()

template<class ViewType, class TraitsT, class ContainerType>

PiecewiseLinearTwoPhaseMaterialParams< TraitsT, ViewType > Opm::gpuistl::make_view | ( | PiecewiseLinearTwoPhaseMaterialParams< TraitsT, ContainerType > & | params | ) |

this function is intented to make a GPU friendly view of the PiecewiseLinearTwoPhaseMaterialParams

Template Parameters

  TraitsT | the same traits as in PiecewiseLinearTwoPhaseMaterialParams
  ContainerType | typically const gpuBuffer<scalarType>
  ViewType | typically gpuView<const scalarType>

Parameters

  params | the parameters object instansiated with gpuBuffers or similar

Returns
  the GPU view of the GPU PiecewiseLinearTwoPhaseMaterialParams object